org.apache.tomcat

## Interface JarScanner

All Known Implementing Classes:
  StandardJarScanner

    public interface JarScanner

Scans a web application and classloader hierarchy for JAR files. Uses include TLD scanning and web-fragment.xml scanning. Uses a call-back mechanism so the caller can process each JAR found.

### Method Summary

Methods
`void` `scan(ServletContext context, ClassLoader classloader, JarScannerCallback callback, Set<String> jarsToSkip)` Scan the provided ServletContext and classloader for JAR files.

### Method Detail

#### scan

    void scan(ServletContext context,
            ClassLoader classloader,
            JarScannerCallback callback,
            Set<String> jarsToSkip)

Scan the provided ServletContext and classloader for JAR files. Each JAR file found will be passed to the callback handler to be processed.

Parameters:
  `context` - The ServletContext - used to locate and access WEB-INF/lib
  `classloader` - The classloader - used to access JARs not in WEB-INF/lib
  `callback` - The handler to process any JARs found
  `jarsToSkip` - List of JARs to ignore